<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Leads',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Leads',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'email1',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'email1',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-7' => array(
            'id' => 'op-7',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'prospect_lists',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'ProspectLists',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'ProspectLists',
                                    ),
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'ProspectLists',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'ProspectLists',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'ProspectLists',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'ProspectLists',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-2' => array(
            'from' => 'op-1previousEntityState',
            'fromOperator' => 'op-1',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-3entity',
            'toOperator' => 'op-3',
            'toConnector' => 'entity'
        ),
        'link-3' => array(
            'from' => 'op-2fields0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields0',
            'to' => 'op-4operand1',
            'toOperator' => 'op-4',
            'toConnector' => 'operand1'
        ),
        'link-4' => array(
            'from' => 'op-3fields0',
            'fromOperator' => 'op-3',
            'fromConnector' => 'fields0',
            'to' => 'op-4operand2',
            'toOperator' => 'op-4',
            'toConnector' => 'operand2'
        ),
        'link-5' => array(
            'from' => 'op-4result',
            'fromOperator' => 'op-4',
            'fromConnector' => 'result',
            'to' => 'op-5condition',
            'toOperator' => 'op-5',
            'toConnector' => 'condition'
        ),
        'link-6' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-7' => array(
            'from' => 'op-5controlFlowIfTrue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-7controlFlow',
            'toOperator' => 'op-7',
            'toConnector' => 'controlFlow'
        ),
        'link-8' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-7entity',
            'toOperator' => 'op-7',
            'toConnector' => 'entity'
        ),
        'link-9' => array(
            'from' => 'op-7controlFlow',
            'fromOperator' => 'op-7',
            'fromConnector' => 'controlFlow',
            'to' => 'op-8controlFlow',
            'toOperator' => 'op-8',
            'toConnector' => 'controlFlow'
        ),
        'link-10' => array(
            'from' => 'op-7entities',
            'fromOperator' => 'op-7',
            'fromConnector' => 'entities',
            'to' => 'op-8entities',
            'toOperator' => 'op-8',
            'toConnector' => 'entities'
        ),
        'link-11' => array(
            'from' => 'op-8controlFlowLoopBody',
            'fromOperator' => 'op-8',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-12' => array(
            'from' => 'op-8entity',
            'fromOperator' => 'op-8',
            'fromConnector' => 'entity',
            'to' => 'op-9entity',
            'toOperator' => 'op-9',
            'toConnector' => 'entity'
        ),
    )
);
