<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb6035043db6d075_67796080/dataStorage/FlowchartTable_lb6035043db6d075_67796080.php';

class FlowchartTableConverter_lb6035043db6d075_67796080{

    public static function toHtml($table){
        if(!($table instanceof FlowchartTable_lb6035043db6d075_67796080))
            return '';

        $headers = $table->getHeaders();
        $rows = $table->getBody();

        $tableStyle = "style='width:100%'; border: 1px solid #000000;";
        $headerHTML = "<tr><th>".implode("</th><th>", $headers)."</th></tr>";

        $bodyHTML = '';
        foreach($rows as $row){
            $bodyHTML .= "<tr><td>".implode("</td><td>", $row)."</td></tr>";
        }

        return "<table border='1' $tableStyle>" . $headerHTML . $bodyHTML . "</table>";
    }

}
